Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle
[Java] Class BuildLogger

    java.lang.Object
      org.gradle.BuildLogger

All Implemented Interfaces:
  BuildListener, TaskExecutionGraphListener

    public class BuildLogger

A BuildListener which logs the build progress.

Constructor Summary
`BuildLogger(Logger logger, StyledTextOutputFactory textOutputFactory, StartParameter startParameter, BuildRequestMetaData requestMetaData)`

Method Summary
`void` | `buildFinished(BuildResult result)`
`void` | `buildStarted(Gradle gradle)`
`void` | `graphPopulated(TaskExecutionGraph graph)`
`void` | `projectsEvaluated(Gradle gradle)`
`void` | `projectsLoaded(Gradle gradle)`
`void` | `settingsEvaluated(Settings settings)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### BuildLogger

    public BuildLogger(Logger logger, StyledTextOutputFactory textOutputFactory, StartParameter startParameter, BuildRequestMetaData requestMetaData)

Method Detail

### buildFinished

    public void buildFinished(BuildResult result)

### buildStarted

    public void buildStarted(Gradle gradle)

### graphPopulated

    public void graphPopulated(TaskExecutionGraph graph)

### projectsEvaluated

    public void projectsEvaluated(Gradle gradle)

### projectsLoaded

    public void projectsLoaded(Gradle gradle)

### settingsEvaluated

    public void settingsEvaluated(Settings settings)

Gradle API 1.10